
package de.ivu.elect.business.stimmeingabe.control.plausi;

import javax.inject.Inject;

import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingang;
import de.ivu.elect.business.wahl.entity.CommonWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;

public class VeStimmeingabePlausiBuilder extends AbstractReferendumVorlageStimmeingabePlausiBuilder {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient VeStimmeingabePlausiDefinitions veStimmeingabePlausiDefinitions;

  public VeStimmeingabePlausiBuilder() {
    super();
  }

  @Override
  public boolean isApplicable(Wahl wahl) {
    return CommonWahlart.VOLKSENTSCHEID.equalsWahlart(wahl);
  }

  @Override
  protected AbstractStimmeingabePlausiDefinitions getStimmeingabePlausiDefinitions(Ergebniseingang ergebniseingang) {
    return veStimmeingabePlausiDefinitions;
  }
}
